/*
	SCMonitor.h
 
	SCMonitor class to handle monitor related preferences.
 
	Copyright (C) 2006 Quentin Mathe
 
	Author:  Quentin Mathe <qmathe@club-internet.fr>
    Date:  November 2006
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
 
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
	Lesser General Public License for more details.
 
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#import <Foundation/Foundation.h>
#import "SCConfig.h"

typedef struct _SCRefreshRate
{
	int vertical;
	int horizontal;
} SCRefreshRate;

// FIXME: This allows compilation until SCColorProfile is implemented
#define SCColorProfile NSString


@interface SCMonitor : SCConfigElement
{

}

- (NSSize) resolution;
- (void) setResolution: (NSSize)size;
- (int) colorDepth;
- (void) setColorDepth: (int)colorDepth;
- (int) contrast;
- (void) setContrast;
- (int) brightness;
- (void) setBrightness: (int)brightness;
- (SCRefreshRate) refreshRate;
- (void) setRefreshRate: (SCRefreshRate)rate;

/* Software related preferences */

// FIXME: Implement the following methods by relying on some CMS library
//- (SCColorProfile *) colorProfile;
//- (void) setColorProfile: (SCColorProfile *)profile;

@end
